org.apache.ignite.transactions.spring

## Class AbstractSpringTransactionManager.IgniteTransactionObject

- java.lang.Object
- - org.apache.ignite.transactions.spring.AbstractSpringTransactionManager.IgniteTransactionObject

- All Implemented Interfaces:
    Flushable, org.springframework.transaction.support.SmartTransactionObject
  Enclosing class:
    AbstractSpringTransactionManager

      protected static class AbstractSpringTransactionManager.IgniteTransactionObject
      extends Object
      implements org.springframework.transaction.support.SmartTransactionObject

  An object representing a managed Ignite transaction.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IgniteTransactionObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()`
    `protected org.apache.ignite.transactions.spring.IgniteTransactionHolder` | `getTransactionHolder()` Returns the resource holder being used to hold Ignite resources in the transaction.
    `boolean` | `isRollbackOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteTransactionObject

          protected IgniteTransactionObject()

  - ### Method Detail

    - #### getTransactionHolder

          protected org.apache.ignite.transactions.spring.IgniteTransactionHolder getTransactionHolder()

      Returns the resource holder being used to hold Ignite resources in the transaction.
      Returns:
        the transaction resource holder

    - #### isRollbackOnly

          public boolean isRollbackOnly()

      Specified by:
        `isRollbackOnly` in interface `org.springframework.transaction.support.SmartTransactionObject`

    - #### flush

          public void flush()

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in interface `org.springframework.transaction.support.SmartTransactionObject`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021